HaskellForMaths-0.4.8: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Algebra.NonCommutative.TensorAlgebra

Description

A module defining the tensor, symmetric, and exterior algebras. This module has been partially superceded by Math.Algebras.TensorAlgebra, which should be used in preference. This module is likely to be removed at some point.

# Documentation

data Basis Source

Constructors

E Int |

Instances

Eq Basis Source |
Ord Basis Source |
Show Basis Source |

e_ :: Int -> NPoly Q Basis Source

e1 :: NPoly Q Basis Source

e2 :: NPoly Q Basis Source

e3 :: NPoly Q Basis Source

e4 :: NPoly Q Basis Source

dim :: NPoly t Basis -> Int Source

tensorBasis :: Int -> [NPoly Q Basis] Source

extRelations :: Int -> [NPoly Q Basis] Source

extnf :: NPoly Q Basis -> NPoly Q Basis Source

exteriorBasis :: Int -> [NPoly Q Basis] Source

symRelations :: Int -> [NPoly Q Basis] Source

symnf :: NPoly Q Basis -> NPoly Q Basis Source

symmetricBasis :: Int -> [NPoly Q Basis] Source

weylRelations :: Int -> [NPoly Q Basis] Source

weylnf :: Int -> NPoly Q Basis -> NPoly Q Basis Source

weylBasis :: Int -> [NPoly Q Basis] Source

data WeylGens Source

Constructors

X Int |
D Int |

Instances

Eq WeylGens Source |
Ord WeylGens Source |
Show WeylGens Source |

d_ :: Int -> NPoly Q WeylGens Source

x_ :: Int -> NPoly Q WeylGens Source

d1 :: NPoly Q WeylGens Source

d2 :: NPoly Q WeylGens Source

d3 :: NPoly Q WeylGens Source

x1 :: NPoly Q WeylGens Source

x2 :: NPoly Q WeylGens Source

x3 :: NPoly Q WeylGens Source

comm :: Num a => a -> a -> a Source

delta :: (Eq a, Num a1) => a -> a -> a1 Source

weylRelations' :: Int -> [NPoly Q WeylGens] Source

weylnf' :: NPoly Q WeylGens -> NPoly Q WeylGens Source

weylBasis' :: Int -> [NPoly Q WeylGens] Source